<?php //ini_set('display_errors', 1);
	//error_reporting(E_ALL);
	include('cap.php');
	$size_img_cat=100;
	
	function foto($foto)
	{
		global $size_img_cat;
		$size_img=array();
		//Размер
		$size_img=getimagesize("foto/$foto");
		
		$w_f=$size_img[0];
		$h_f=$size_img[1];
		if($size_img[0]>$size_img_cat)
		{
			$balans=$size_img[0]/$size_img_cat;
			//                     if($balans)>=1
			//                        {
			$size_img[0]=$size_img[0]/$balans;
			$size_img[1]=$size_img[1]/$balans;
			//                        }
			
		}
		if($size_img[1]>$size_img_cat)
		{
			$balans=$size_img[1]/$size_img_cat;
			//                    if(round($balans)>=1)
			//                        {
			$size_img[0]=$size_img[0]/$balans;
			$size_img[1]=$size_img[1]/$balans;
			//                        }
		}
		
		$size_img[0]=round($size_img[0]); //sg
		$size_img[1]=round($size_img[1]); //sg
		
		echo "<img src=foto/$foto width=$size_img[0] height=$size_img[1] class='imgb imgp'  alt='фото'>";
		// Добавил style='padding: 10px' --SG
	}
	
	$file=array();
	$file1=array();
	
	if(!isset($_GET['c']) || !is_int(intval($_GET['c']))) $_GET['c']=1;
	
	if(!file_exists("db/cat/$_GET[c]"))
	{
		$d=opendir("db/news");
		while(($e=readdir($d))!=false)
		{
			if($e =="." || $e ==".." || $e==".htaccess") continue;
			$file[]=$e;
		}
		closedir($d);
	}
	else
	{
		$file=file("db/cat/$_GET[c]");
		for($n=0;$n<count($file);$n++)$file[$n]=trim($file[$n]);
	}
	
	
	foreach($file as $line)
	{
		$text=file("db/news/$line");
		$text[0]=trim($text[0]);
		$file1[$text[0]]=$line;
		
	}
	
	krsort($file1,SORT_NUMERIC);
	$file=array();
	foreach($file1 as $line) $file[]=$line;
	
	//Постраничная навигация
	$topic_count_page=20;
	if(!isset($_GET['page']) || !is_numeric(@$_GET['page']) || @$_GET['page']<1 )$page=1;
	else $page=$_GET['page'];
	if($page > ceil(count($file)/ $topic_count_page))$page=1;
	$start=$page * $topic_count_page-$topic_count_page;
	$pages=ceil(count($file)/ $topic_count_page);
	if(empty($_GET['ind']) || !is_numeric(@$_GET['ind']) || @$_GET['ind']>ceil($pages/10)  || @$_GET['ind']<1)$index=1;
	else $index= $_GET['ind'];
	
	$cat=array();
	$id_cat=array();
	$cat=file("db/cat.txt");
	
	foreach($cat as $line)
	{
		$line=trim($line);
		$expl=explode("*",$line);
		$id_cat[$expl[0]]=$expl[1];
	}
	
	
	if(count($cat))
	{
		echo  "<table  class=tab  ><tr><td>";
		$width="style='width: 100%'";
	}
	else $width="style='width: 95%'";
	
	if(count($file)> $topic_count_page)
    {
		//Постраничная навигаця
		echo "<table $width  align=center><tr><td>";
		
		if($index>1)echo "
		<a class='navig_passiv' href=admin2.php?c=$_GET[c]&page=".(($index-1)*10)."&ind=".($index-1)." title=назад><<</a>";
		
		for($i=$index*10-9,$p=1; $i < $pages+1; $i++,$p++)
		{
			
            if($p>10 )
			{
          	  	echo "<a class='navig_passiv'  href=admin2.php?c=$_GET[c]&page=".($i)."&ind=".($index+1)." title=далее>>></a>";
          	  	break;
			}
          	if($page==$i)
            echo "<a class='navig_activ' href=admin2.php?c=$_GET[c]&page=$i&ind=$index>$i</a>";
            else
            echo "<a class='navig_passiv'href=admin2.php?c=$_GET[c]&page=$i&ind=$index>$i</a>";
		}
		
		
		echo "</td></tr></table><br />";
	}
	
	for($x=$start,$y=0; $x<count($file); $x++,$y++)
	{  
		if (news_public_check($file[$x])=='') $show_news='&otimes;';else  $show_news='';
     	if($y==$topic_count_page)break;
     	$i=0;
     	$d=opendir("db/comm/$file[$x]");
		while(($e=readdir($d))!=false)
		{
			if($e =="." || $e ==".." || $e==".htaccess") continue;
			$i++;
		}
		closedir($d);
     	$text=file("db/news/$file[$x]");
     	for($n=0;$n<count($text);$n++)$text[$n]=trim($text[$n]);
     	$foto=array();
        $foto=file("db/id_foto/$file[$x]");
        echo "<table  class=tab1  $width ><tr><td class=wd20>";
        if(count($foto))foto(trim($foto[0]));
        else echo"&nbsp;";
        echo"</td><td class='valtop'><font color=#408080>".date("d.m.Y H:i",$text[0])."</font><br /><b>$text[2]</b><br /><br />$text[3]
        </td><td class='valtop ar wd20'>";
        if(!array_key_exists($text[1],$id_cat))echo"Вне категорий";
        else echo $id_cat[$text[1]];
        echo"</td></tr><tr><td colspan=3 class=ar><span title='Статья не показывается на сайте' style='color:red; font-weight:bold; cursor:default'>&nbsp;".$show_news."&nbsp;</span>
        <a class=menu_cat_p href=red.php?id=$file[$x]&op=1&c=$_GET[c]&page=$page&ind=$index>редактировать</a>&nbsp;&nbsp;&nbsp;&nbsp;
        <a class=menu_cat_p href=# onclick=\"del('red.php?id=$file[$x]&op=2&c=$_GET[c]&page=$page&ind=$index','статью')\">удалить</a>&nbsp;&nbsp;&nbsp;&nbsp;
        <a class=menu_cat_p href=comm.php?id=$file[$x]&c=$_GET[c]&page1=$page&ind1=$index>комментарии ($i)</a></td></tr></table><br />";
	}
	
	
	if(count($file)> $topic_count_page)
    {
		//Постраничная навигаця
		echo "<table $width  align=center><tr><td>";
		
		if($index>1)echo "
		<a class='navig_passiv' href=admin2.php?c=$_GET[c]&page=".(($index-1)*10)."&ind=".($index-1)." title=назад><<</a>";
		
		for($i=$index*10-9,$p=1; $i < $pages+1; $i++,$p++)
		{
			
            if($p>10 )
			{
          	  	echo "<a class='navig_passiv'  href=admin2.php?c=$_GET[c]&page=".($i)."&ind=".($index+1)." title=далее>>></a>";
          	  	break;
			}
          	if($page==$i)
            echo "<a class='navig_activ' href=admin2.php?c=$_GET[c]&page=$i&ind=$index>$i</a>";
            else
            echo "<a class='navig_passiv'href=admin2.php?c=$_GET[c]&page=$i&ind=$index>$i</a>";
		}
		
		
		echo "</td></tr></table>";
	}
	
	if(count($cat))
	{
		if($_GET['c']==1)$class="class=menu_cat_a";
		else $class="class=menu_cat_p";
		echo "</td><td class='valtop wd15'>
		<a $class href=admin2.php>Все статьи</a><br /><br />";
		foreach($cat as $line)
		{
			$line=trim($line);
			$expl=explode("*",$line);
			if($expl[0]==$_GET['c'])$class="class=menu_cat_a";
			else $class="class=menu_cat_p";
			
			echo "<a $class href=admin2.php?c=$expl[0]>$expl[1]</a><br />";
		}
		
		echo "</td></tr></table>";
		
	}
?>

</div>
</body>
</html>